### File

`packages/eui-ecl/packages/core/src/lib/services/ecl-router-breadcrumb.service.ts`

### Example

### Index

###### Methods
getBreadcrumbs$ ngOnDestroy

### Constructor

`constructor(activatedRoute: ActivatedRoute, router: Router)`
Parameters :
Name | Type | Optional
activatedRoute | `ActivatedRoute` | No
router | `Router` | No

### Methods

getBreadcrumbs$
`getBreadcrumbs$()`
Returns : `Observable<Array<EclBreadcrumb>>`

ngOnDestroy
`ngOnDestroy()`
Returns : `void`

# result-matching ""

# No results matching ""